#!/usr/bin/bash

cd ~

subs=()
while read -r sub; do
	subs+=("$sub")
done < wsubs.txt

echo -n > wsubs.txt

IFS=$'\n'
for sub in ${subs[*]}; do
	echo -e "\e[93m\"$sub\"\e[0m"
	read -n1 -p $'\e[1mAccept?\e[0m [\e[92mY\e[0m/\e[91mn\e[0m/\e[93ml\e[0m] ' response
	case "$response" in
		n | N) ;;
		l | L) echo $sub >> wsubs.txt;;
		*    ) echo $sub >> wfile.txt;;
	esac
	echo
done
